Bug 192108

Summary: Web Inspector: Uncaught Exception: TypeError: this._computedStyleSection.focus is not a function. (In 'this._computedStyleSection.focus()', 'this._computedStyleSection.focus' is undefined)
Product: WebKit Reporter: Devin Rousso <drousso>
Component: Web InspectorAssignee: Nikita Vasilyev <nvasilyev>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, drousso, inspector-bugzilla-changes, nvasilyev, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
URL: https://devinrousso.com/demo/WebKit/test.html
Attachments:
Description Flags
Patch none

Description Devin Rousso 2018-11-28 15:07:28 PST
-------
Inspected URL:        https://devinrousso.com/demo/WebKit/test.html
Loading completed:    true
Frontend User Agent:  Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_4) AppleWebKit/605.1.15 (KHTML, like Gecko)

Uncaught Exceptions:
 - TypeError: this._computedStyleSection.focus is not a function. (In 'this._computedStyleSection.focus()', 'this._computedStyleSection.focus' is undefined) (at ComputedStyleDetailsPanel.js:85:41)
    focusFirstSection @ ComputedStyleDetailsPanel.js:85:41
    _handleForcedPseudoClassCheckboxKeydown @ GeneralStyleDetailsSidebarPanel.js:263:46
    _handleForcedPseudoClassCheckboxKeydown @ [native code]
-------

* STEPS TO REPRODUCE
1. open WebInspector
2. show the Elements tab
3. select the Computed details sidebar panel
4. start tabbing (should focus the force-pseudo-class checkboxes)
5. continue tabbing until you're about to tab into the Properties section
Comment 1 Radar WebKit Bug Importer 2018-12-12 19:54:23 PST
<rdar://problem/46685392>
Comment 2 Nikita Vasilyev 2019-04-02 17:41:46 PDT
Created attachment 366560 [details]
Patch
Comment 3 Devin Rousso 2019-04-03 11:02:15 PDT
Comment on attachment 366560 [details]
Patch

r=me
Comment 4 WebKit Commit Bot 2019-04-03 11:05:08 PDT
Comment on attachment 366560 [details]
Patch

Clearing flags on attachment: 366560

Committed r243816: <https://trac.webkit.org/changeset/243816>
Comment 5 WebKit Commit Bot 2019-04-03 11:05:10 PDT
All reviewed patches have been landed.  Closing bug.